# GimpUi.Ruler

    const GimpUi = imports.gi.GimpUi;

    let ruler = new GimpUi.Ruler({
    });

A ruler widget with configurable unit and orientation.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - GimpUi.Ruler

## Constructors

- GimpUi.Ruler.new

## Methods

- GimpUi.Ruler.prototype.add_track_widget
- GimpUi.Ruler.prototype.get_position
- GimpUi.Ruler.prototype.get_range
- GimpUi.Ruler.prototype.get_unit
- GimpUi.Ruler.prototype.remove_track_widget
- GimpUi.Ruler.prototype.set_position
- GimpUi.Ruler.prototype.set_range
- GimpUi.Ruler.prototype.set_unit

## Properties

- lower
- max-size
- orientation
- position
- unit
- upper